<div class="review-container text-center flex flex-col">

  <div class="review-question-title flex flex-center">
    <h5>Summary</h5>
    <button class="btn btn-short" (click)="goBackHome()">
      <mat-icon>home</mat-icon>
    </button>
  </div>


  <div class="performance-wrapper flex flex-col">
    <div class="performance-heading">
      <h5>Performance Stats</h5>
    </div>
    <div class="performance-card-wrap flex flex-col">
      <div class="performance-card">
        <div class="performance-img-wrap">
          <img src="../../../../assets/images/icons8-correct-80.png" alt="">
        </div>
        <div class="performance-score flex flex-col flex-center">
          <span>{{reviewQuestionsData.numberOfCorrectQuestions}}</span>
          <span>Corrects</span>
        </div>
      </div>
      <div class="performance-card">
        <div class="performance-img-wrap">
          <img src="../../../../assets/images/icons8-time-50.png" alt="">
        </div>
        <div class="performance-score flex flex-col flex-center">
          <span>{{avgTimePerQuestion | decimalRound}}</span>
          <span>Seconds/Question</span>
        </div>
      </div>
      <div class="performance-card">
        <div class="performance-img-wrap">
          <img src="../../../../assets/images/icons8-incorrect-64.png" alt="">
        </div>
        <div class="performance-score flex flex-col flex-center">
          <span>{{incorrectQuestions}}</span>
          <span>Incorrect</span>
        </div>
      </div>
    </div>
  </div>
  <div class="question-area">
    <div class="question-heading">
      <h5>Review Questions</h5>
    </div>
    <div class="question-card-wrap">
      <div class="question-card-scroll flex flex-col">
        <div class="question-card flex flex-col" *ngFor="let data of this.choiceQuestionData"
        [ngClass]="{
          'correct': data.userChoice === data.question?.correct_answer,
          'incorrect': data.userChoice !== data.question?.correct_answer,
        }"
        >
          <span class="question-content bold">{{data.question?.question}}</span>
          <span class="question-answer" *ngFor="let answer of data.answers"
            [ngClass]="{
              'correct': data.userChoice === data.question?.correct_answer && data.userChoice === answer || data.question?.correct_answer === answer,
              'incorrect': data.userChoice !== data.question?.correct_answer && data.userChoice === answer,
            }"
            >{{answer}}</span>
        </div>

      </div>
    </div>
  </div>
  <div class="review-question">
  </div>
</div>
